/*  cpuload.h
 *
 *  Copyright (c) 2007-2008 Angelo Arrifano <miknix@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __SAMPLE_H__
#define __SAMPLE_H__

G_BEGIN_DECLS

/* plugin structure */
typedef struct
{
	XfcePanelPlugin *plugin;

	/* panel widgets */
	GtkWidget *ebox;
	GtkWidget *hvbox;
	GtkWidget **pBar;

	/* settings */
	GdkColor  cpuColor;  /* progress bar color for cpu */
	GdkColor  coreColor; /* progress bar color for cores */
	gboolean showCpu;    /* Used to ignore the CPU on multicore systems */
	
	/* monitor data */
	gint     nrCores;    /* Nr of system cores plus cpu */
	gint     timeoutID;  /* the interval on gtk will update monitors */
} cpuLoadPlugin;


void cpuLoad_save(XfcePanelPlugin *plugin, cpuLoadPlugin *cpuLoad);
void cpuLoad_pBar_color_update(cpuLoadPlugin *cpuLoad);

G_END_DECLS

#endif /* !__SAMPLE_H__ */
